# Colorful Rim Light Shader - - - -
# By njh_jo
# Below is the syntax to operate the shader, apply it to the node of your choice
# to give the node a holograhic look.
from panda3d.core import Vec4, Shader, Camera

sha = Shader.load('rimlhtsha/RimLight.sha')
node.setShader(sha)
node.setShaderInput('cam', camera)
node.setShaderInput('facingRatioPower', Vec4(4.7, 0, 0, 0)) # tweak first number
cubeMap = loader.loadCubeMap('rimlhtsha/render_#.jpg')
node.setShaderInput('envirCubeMap', cubeMap)

# the facingRatioPower can be adjusted by calling
# node.setShaderInput('facingRatioPower', Vec4(number, 0, 0, 0)) every time
# adjustment is desired.
